This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 482846 - avcs when inserting iPod (podsleuth related)
avcs when inserting iPod (podsleuth related)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-28 10:03 EST by David Nielsen
Modified: 2009-11-18 06:19 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-18 06:19:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Nielsen 2009-01-28 10:03:52 EST
Description of problem:

node=dawkins.lovesunix.net type=AVC msg=audit(1233154716.480:234): avc: denied { getattr } for pid=2988 comm="mono" name="/" dev=tmpfs ino=7106 scontext=system_u:system_r:podsleuth_t:s0 tcontext=system_u:object_r:tmpfs_t:s0 tclass=filesystem 

node=dawkins.lovesunix.net type=SYSCALL msg=audit(1233154716.480:234): arch=c000003e syscall=137 success=no exit=-13 a0=7fff98969156 a1=7fff98969350 a2=7fff98968a00 a3=7fff98968b10 items=0 ppid=2985 pid=2988 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="mono" exe="/usr/bin/mono" subj=system_u:system_r:podsleuth_t:s0 key=(null) 


node=dawkins.lovesunix.net type=AVC msg=audit(1233154716.479:231): avc: denied { read } for pid=2988 comm="mono" name="/" dev=tmpfs ino=7106 scontext=system_u:system_r:podsleuth_t:s0 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir 

node=dawkins.lovesunix.net type=SYSCALL msg=audit(1233154716.479:231): arch=c000003e syscall=2 success=no exit=-13 a0=33eeea40a3 a1=90800 a2=0 a3=3998f6da70 items=0 ppid=2985 pid=2988 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="mono" exe="/usr/bin/mono" subj=system_u:system_r:podsleuth_t:s0 key=(null) 

These do not appear to hamper iPod operation though, but setroubleshooter does popup it's scary face to frighten the user.

Version-Release number of selected component (if applicable):
selinux-policy-targeted-3.5.13-40.fc10.noarch

How reproducible:
100%

Steps to Reproduce:
1. yum install banshee
2. insert iPod into USB port
  
Actual results:
avc messages

Expected results:
no avc messages

Additional info:
Comment 1 Daniel Walsh 2009-01-30 08:04:11 EST
Miroslav adding

fs_getattr_tmpfs(podsleuth_t)
fs_list_tmpfs(podsleuth_t)

Should be fine, although I have no idea what it is doing.
Comment 2 Miroslav Grepl 2009-02-03 14:06:02 EST
Fixed in selinux-policy-3.5.13-42.fc10
Comment 3 Bug Zapper 2009-11-18 05:53:46 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.